# GRUB boot loader configuration
{% if ansible_distribution == 'Archlinux' %}
GRUB_DEFAULT=saved
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="ArchLabs - Syncopated"
GRUB_CMDLINE_LINUX_DEFAULT="udev.log_priority=3"
{% if ansible_hostname == 'ninjabot' %}
GRUB_CMDLINE_LINUX="efi=runtime crashkernel=auto threadirqs modprobe.blacklist=nouveau nvidia-drm.modeset=1 rhgb audit=0 delayacct"
{% else %}
{% if ansible_hostname == 'tinybot' %}
#GRUB_CMDLINE_LINUX="efi=runtime crashkernel=384M-:128M threadirqs rhgb delayacct"
GRUB_CMDLINE_LINUX="efi=runtime threadirqs crashkernel=384M-:128M rhgb"
{% else %}
GRUB_CMDLINE_LINUX="efi=runtime crashkernel=auto threadirqs rhgb delayacct"
{% endif %}
{% endif %}
# Preload both GPT and MBR modules so that they are not missed
{% if btrfs_exists|default(false)|bool == True %}
GRUB_PRELOAD_MODULES="btrfs zstd part_gpt part_msdos"
{% else %}
GRUB_PRELOAD_MODULES="part_gpt part_msdos"
{% endif %}

# Uncomment to enable booting from LUKS encrypted devices
#GRUB_ENABLE_CRYPTODISK=y

# Set to 'countdown' or 'hidden' to change timeout behavior,
# press ESC key to display menu.
GRUB_TIMEOUT_STYLE=menu

# Uncomment to use basic console
GRUB_TERMINAL_INPUT=console

# Uncomment to disable graphical terminal
#GRUB_TERMINAL_OUTPUT=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `videoinfo'
GRUB_GFXMODE=auto

# Uncomment to allow the kernel use the same resolution used by grub
GRUB_GFXPAYLOAD_LINUX=keep

# Uncomment if you want GRUB to pass to the Linux kernel the old parameter
# format "root=/dev/xxx" instead of "root=/dev/disk/by-uuid/xxx"
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
GRUB_DISABLE_RECOVERY=true

# Uncomment and set to the desired menu colors.  Used by normal and wallpaper
# modes only.  Entries specified as foreground/background.
# GRUB_COLOR_NORMAL="light-gray/black"
# GRUB_COLOR_HIGHLIGHT="white/black"

# Uncomment one of them for the gfx desired, a image background or a gfxtheme
#GRUB_BACKGROUND="/path/to/wallpaper"
GRUB_THEME="/usr/share/grub/themes/syncopated/theme.txt"


# Uncomment to get a beep at GRUB start
#GRUB_INIT_TUNE="480 440 1"

# Uncomment to make GRUB remember the last selection. This requires
# setting 'GRUB_DEFAULT=saved' above.
GRUB_SAVEDEFAULT=true

# Uncomment to disable submenus in boot menu
#GRUB_DISABLE_SUBMENU=y

# Probing for other operating systems is disabled for security reasons. Read
# documentation on GRUB_DISABLE_OS_PROBER, if still want to enable this
# functionality install os-prober and uncomment to detect and include other
# operating systems.
GRUB_DISABLE_OS_PROBER=false
{% endif %}
{% if ansible_distribution == 'AlmaLinux' %}
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="$(sed 's, release .*$,,g' /etc/system-release)"
GRUB_DEFAULT=saved
GRUB_DISABLE_SUBMENU=true
GRUB_TERMINAL_OUTPUT="console"
GRUB_CMDLINE_LINUX="crashkernel=1G-4G:192M,4G-64G:256M,64G-:512M rd.lvm.lv=almalinux_ninjabot/root rhgb quiet"
GRUB_DISABLE_RECOVERY="true"
GRUB_ENABLE_BLSCFG=true
{% endif %}
{% if ansible_distribution == 'Debian' %}
# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.
# For full documentation of the options in this file, see:
#   info -f grub -n 'Simple configuration'
GRUB_DEFAULT="1"
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="$(unset PRETTY_NAME; (. /etc/lsb-release; echo ${PRETTY_NAME:?}) 2>/dev/null || echo Debian)"
GRUB_CMDLINE_LINUX_DEFAULT="threadirqs ftry=0 nomodeset efi=runtime"
GRUB_CMDLINE_LINUX=""

# Uncomment to enable BadRAM filtering, modify to suit your needs
# This works with Linux (no patch required) and with any kernel that obtains
# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL="console"

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
GRUB_GFXMODE="1024x768"

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID="true"

# Uncomment to disable generation of recovery mode menu entries
GRUB_DISABLE_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

GRUB_DISABLE_OS_PROBER="false"

GRUB_THEME="/boot/grub/themes/avl-mxe-diehard/theme.txt"

GRUB_DISABLE_SUBMENU="y"
{% endif %}
{% if ansible_distribution == 'Fedora' %}
GRUB_TIMEOUT=5
GRUB_TIMEOUT_STYLE=menu

GRUB_DISTRIBUTOR="$(sed 's, release .*$,,g' /etc/system-release)"

GRUB_CMDLINE_LINUX_DEFAULT="udev.log_priority=3"

GRUB_CMDLINE_LINUX="efi=runtime crashkernel=auto threadirqs rhgb audit=0 elayacct selinux=0"

GRUB_DEFAULT=saved
GRUB_SAVEDEFAULT="true"
GRUB_PRELOAD_MODULES="part_gpt part_msdos"
GRUB_TERMINAL_INPUT=console
GRUB_GFXMODE=auto
GRUB_GFXPAYLOAD_LINUX=keep
GRUB_DISABLE_RECOVERY=true
GRUB_DISABLE_OS_PROBER=false
GRUB_COLOR_NORMAL="yellow/black"
GRUB_COLOR_HIGHLIGHT="red/black"
#GRUB_BACKGROUND="/usr/share/grub/background.png"
#GRUB_THEME="/usr/share/grub/themes/starfield"
# Uncomment to get a beep at GRUB start
#GRUB_INIT_TUNE="480 440 1"
#GRUB_ROOT_FS_RO=true
# GRUB boot loader configuration
{% endif %}
